Page MenuHomePhabricator

Fix the data-values/value-view repo to work on node10
Closed, ResolvedPublic

Description

Node6 has been EOL since April 2019 and shouldn't be used anywhere. In the parent task, I'm trying to remove the last vestiges of node6 in CI, but this repo unfortunately is currently tested with node6 and doesn't pass in node10.

Please fix your repo so that I can upgrade CI for you (or if it's no longer used, please file a Projects-Cleanup archive task).

Thanks!

Related Objects

StatusSubtypeAssignedTask
OpenNone
OpenNone
OpenNone
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedBawolff
ResolvedAnomie
ResolvedBawolff
ResolvedBawolff
ResolvedLegoktm
ResolvedLucas_Werkmeister_WMDE
ResolvedBawolff
Resolvedsbassett
Resolvedsbassett
ResolvedJdforrester-WMF
Resolvedsbassett
Resolvedsbassett
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedReedy
ResolvedReedy
ResolvedReedy
ResolvedJdforrester-WMF
Resolvedhashar
Resolvedhashar
ResolvedJdforrester-WMF
Resolvedhashar
DeclinedMoritzMuehlenhoff
Invalidthcipriani
Resolvedmmodell
Resolvedhashar
ResolvedJoe
ResolvedJMeybohm
ResolvedJMeybohm
DuplicateDzahn
DeclinedDzahn
StalledJdforrester-WMF
ResolvedLadsgroup

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 18 2019, 4:44 PM
Addshore triaged this task as Medium priority.Jan 15 2020, 11:21 AM
Addshore moved this task from Incoming to Ready to pick up on the Wikidata-Campsite board.
Addshore added a subscriber: Addshore.

We do still use this repo :)

Addshore lowered the priority of this task from Medium to Low.Jan 15 2020, 11:21 AM

We do still use this repo :)

Please could this not be "low" priority, then? We wanted to drop node 6 CI support six months ago…

Addshore raised the priority of this task from Low to Medium.Jan 15 2020, 9:57 PM

I tested this with node12 and it was just fine, the project had lots of changes since this bug was filed. Can you try again and let me know where it's broken?

Change 568601 had a related patch set uploaded (by Ladsgroup; owner: Ladsgroup):
[data-values/value-view@master] Test CI

https://gerrit.wikimedia.org/r/568601

I tested this with node12 and it was just fine, the project had lots of changes since this bug was filed. Can you try again and let me know where it's broken?

Ignore this, I tested it locally and it worked because I have a monitor and firefox works there but it failed in jenkins on node10 because it couldn't start the firefox. Changing it to FirefoxHeadless fixed it. "check experimental"/node10 is now green with the patch I linked to this ticket.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 29 2020, 9:23 PM

Change 568601 merged by jenkins-bot:
[data-values/value-view@master] Set Firefox to be headless

https://gerrit.wikimedia.org/r/568601

Change 568699 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] zuul: [data-values/value-view] Migrate to node10, now that that passes

https://gerrit.wikimedia.org/r/568699

Change 568700 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[integration/config@master] jjb: Drop wikibase-data-values-value-view-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/568700

Change 568699 merged by jenkins-bot:
[integration/config@master] zuul: [data-values/value-view] Migrate to node10, now that that passes

https://gerrit.wikimedia.org/r/568699

Mentioned in SAL (#wikimedia-releng) [2020-01-29T23:55:29Z] <James_F> zuul: [data-values/value-view] Migrate to node10, now that that passes T228453

Jdforrester-WMF closed this task as Resolved.Jan 29 2020, 11:59 PM

Change 568700 merged by jenkins-bot:
[integration/config@master] jjb: Drop wikibase-data-values-value-view-npm-browser-node-6-docker

https://gerrit.wikimedia.org/r/568700